Note de ce sujet :
  • Moyenne : 0 (0 vote(s))
  • 1
  • 2
  • 3
  • 4
  • 5
libraspberrypi0 et raspberrypi-bootloader n'est pas encore configuré
#1
Bonsoir,
je suis en train d'installer mysl sur mon raspberry pour y installer TinyRss, et a chaque tentative lorsque je lance cette commande, sudo apt-get install mysql-server, j'ai droit à c message.

Code :
[== Indéfini ==]
$ sudo apt-get install mysql-serverLecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
mysql-server est déjà la plus récente version disponible.
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libblas3gf liblapack3gf
Veuillez utiliser « apt-get autoremove » pour les supprimer.
0 mis à jour, 0 nouvellement installés, 0 à enlever et 0 non mis à jour.
7 partiellement installés ou enlevés.
Après cette opération, 0 o d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Paramétrage de mysql-server-5.5 (5.5.31+dfsg-0+wheezy1) ...
[ ok ] Stopping MySQL database server: mysqld.
130908 18:36:50 [Note] Plugin 'FEDERATED' is disabled.
130908 18:36:50 InnoDB: The InnoDB memory heap is disabled
130908 18:36:50 InnoDB: Mutexes and rw_locks use GCC atomic builtins
130908 18:36:50 InnoDB: Compressed tables use zlib 1.2.7
130908 18:36:50 InnoDB: Using Linux native AIO
130908 18:36:51 InnoDB: Initializing buffer pool, size = 128.0M
130908 18:36:51 InnoDB: Completed initialization of buffer pool
130908 18:36:51 InnoDB: highest supported file format is Barracuda.
130908 18:36:51  InnoDB: Waiting for the background threads to start
130908 18:36:52 InnoDB: 5.5.31 started; log sequence number 1595675
130908 18:36:52  InnoDB: Starting shutdown...
130908 18:36:53  InnoDB: Shutdown completed; log sequence number 1595675
[FAIL] Starting MySQL database server: mysqld . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: erreur de traitement de mysql-server-5.5 (--configure) :
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg: des problèmes de dépendances empêchent la configuration de mysql-server :
mysql-server dépend de mysql-server-5.5 ; cependant :
Le paquet mysql-server-5.5 n'est pas encore configuré.

dpkg: erreur de traitement de mysql-server (--configure) :
problèmes de dépendances - laissé non configuré
Paramétrage de raspberrypi-bootloader (1.20130902-1) ...
Memory split is now set in /boot/config.txt.
You may want to use raspi-config to set it
rm: impossible de supprimer « /boot/bootcode.bin »: Système de fichiers accessible en lecture seulement
dpkg: erreur de traitement de raspberrypi-bootloader (--configure) :
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg: des problèmes de dépendances empêchent la configuration de libraspberrypi0 :
libraspberrypi0 dépend de raspberrypi-bootloader (= 1.20130902-1) ; cependant :
Le paquet raspberrypi-bootloader n'est pas encore configuré.

dpkg: erreur de traitement de libraspberrypi0 (--configure) :
problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libraspberrypi-bin :
libraspberrypi-bin dépend de libraspberrypi0 (= 1.20130902-1) ; cependant :
Le paquet libraspberrypi0 n'est pas encore configuré.

dpkg: erreur de traitement de libraspberrypi-bin (--configure) :
problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libraspberrypi-dev :
libraspberrypi-dev dépend de libraspberrypi0 (= 1.20130902-1) ; cependant :
Le paquet libraspberrypi0 n'est pas encore configuré.

dpkg: erreur de traitement de libraspberrypi-dev (--configure) :
problèmes de dépendances - laissé non configuré
dpkg: des problèmes de dépendances empêchent la configuration de libraspberrypi-doc :
libraspberrypi-doc dépend de libraspberrypi0 (= 1.20130902-1) ; cependant :
Le paquet libraspberrypi0 n'est pas encore configuré.

dpkg: erreur de traitement de libraspberrypi-doc (--configure) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
mysql-server-5.5
mysql-server
raspberrypi-bootloader
libraspberrypi0
libraspberrypi-bin
libraspberrypi-dev
libraspberrypi-doc
E: Sub-process /usr/bin/dpkg returned an error code (1)

Quelqu'un aurait-il une idée pour configurer ces deux paquets ?
Répondre
#2
On dirait que tu as plusieurs soucis :

1) As-tu essayé de faire un dpkg-reconfigure mysql-server ?

2) Pourquoi ton /boot est accessible qu'en lecture ?
Répondre
#3
Le boot en lecture seule est indiqué dans plusieurs tutos ou la partition systeme est installée sur une clé USB.
Est ce ton cas ?
Pour préserver les cycles d'ecritures sur le carte SD, cette partition peut (dans les tutos) etre placée en lecture seule.

Si tu as besoin ponctuellement de la repasser en ecriture :
sudo mount -o remount,rw /boot/
Répondre
#4
Oui, c'est exactement ça, j'utilise un disque dur usb, et effectivement, pour protéger les cycles d'écrituresj, j'ai réalisé cette action.

Ce matin,je me suis lançé dans la phase de résolution :
j'ai mis en place la comande que tu m'as conseillé :
sudo mount -o remount,rw /boot/
puis j'ai desinstallé mysqlserver
sudo apt-get purge mysql-server-core-5.5, a priori, la désinstallation s'est bien passé,
et j'ai relançé l'installation :
sudo apt-get install mysql-server

il y a nettement moins d'erreur mais ça n'a pas fonctionné :
Code :
[email protected] ~ $ sudo apt-get install mysql-server
Lecture des listes de paquets... Fait
Construction de l'arbre des dépendances      
Lecture des informations d'état... Fait
Les paquets suivants ont été installés automatiquement et ne sont plus nécessaires :
  libblas3gf liblapack3gf
Veuillez utiliser « apt-get autoremove » pour les supprimer.
Les paquets supplémentaires suivants seront installés :
  mysql-server-5.5 mysql-server-core-5.5
Paquets suggérés :
  tinyca
Les NOUVEAUX paquets suivants seront installés :
  mysql-server mysql-server-5.5 mysql-server-core-5.5
0 mis à jour, 3 nouvellement installés, 0 à enlever et 0 non mis à jour.
Il est nécessaire de prendre 3 357 ko/5 098 ko dans les archives.
Après cette opération, 48,7 Mo d'espace disque supplémentaires seront utilisés.
Souhaitez-vous continuer [O/n] ? o
Réception de : 1 http://mirrordirector.raspbian.org/raspbian/ wheezy/main mysql-server-core-5.5 armhf 5.5.31+dfsg-0+wheezy1 [3 357 kB]
3 357 ko réceptionnés en 4s (684 ko/s)            
Préconfiguration des paquets...
Sélection du paquet mysql-server-core-5.5 précédemment désélectionné.
(Lecture de la base de données... 63238 fichiers et répertoires déjà installés.)
Dépaquetage de mysql-server-core-5.5 (à partir de .../mysql-server-core-5.5_5.5.31+dfsg-0+wheezy1_armhf.deb) ...
Sélection du paquet mysql-server-5.5 précédemment désélectionné.
Dépaquetage de mysql-server-5.5 (à partir de .../mysql-server-5.5_5.5.31+dfsg-0+wheezy1_armhf.deb) ...
Sélection du paquet mysql-server précédemment désélectionné.
Dépaquetage de mysql-server (à partir de .../mysql-server_5.5.31+dfsg-0+wheezy1_all.deb) ...
Traitement des actions différées (« triggers ») pour « man-db »...
Paramétrage de mysql-server-core-5.5 (5.5.31+dfsg-0+wheezy1) ...
Paramétrage de mysql-server-5.5 (5.5.31+dfsg-0+wheezy1) ...
[ ok ] Stopping MySQL database server: mysqld.
130911  9:52:57 [Note] Plugin 'FEDERATED' is disabled.
130911  9:52:57 InnoDB: The InnoDB memory heap is disabled
130911  9:52:57 InnoDB: Mutexes and rw_locks use GCC atomic builtins
130911  9:52:57 InnoDB: Compressed tables use zlib 1.2.7
130911  9:52:57 InnoDB: Using Linux native AIO
130911  9:52:57 InnoDB: Initializing buffer pool, size = 128.0M
130911  9:52:57 InnoDB: Completed initialization of buffer pool
130911  9:52:57 InnoDB: highest supported file format is Barracuda.
130911  9:52:58  InnoDB: Waiting for the background threads to start
130911  9:52:59 InnoDB: 5.5.31 started; log sequence number 1595675
130911  9:52:59  InnoDB: Starting shutdown...
130911  9:53:00  InnoDB: Shutdown completed; log sequence number 1595675
[FAIL] Starting MySQL database server: mysqld . . . . . . . . . . . . . . failed!
invoke-rc.d: initscript mysql, action "start" failed.
dpkg: erreur de traitement de mysql-server-5.5 (--configure) :
le sous-processus script post-installation installé a retourné une erreur de sortie d'état 1
dpkg: des problèmes de dépendances empêchent la configuration de mysql-server :
mysql-server dépend de mysql-server-5.5 ; cependant :
Le paquet mysql-server-5.5 n'est pas encore configuré.

dpkg: erreur de traitement de mysql-server (--configure) :
problèmes de dépendances - laissé non configuré
Des erreurs ont été rencontrées pendant l'exécution :
mysql-server-5.5
mysql-server
E: Sub-process /usr/bin/dpkg returned an error code (1)

Une autre idée ?
Répondre


Atteindre :


Utilisateur(s) parcourant ce sujet : 1 visiteur(s)

A propos de Communauté francophone RPi

Communauté francophone RPi est un forum d'aide et de partage autour du Raspberry Pi et des micro-ordinateurs.